armhf FTBFS in precise

Bug #943281 reported by Jani Monoses on 2012-02-29
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
High
Micah Gersten
Precise
High
Micah Gersten

Bug Description

The chromium 17 build system apparently passes -mfloat-abi=softfp to all arm builds. This causes FTBFS on armhf as /usr/linux/arm-linux-gnueabihf/ not to end up in the include path list.

Some of the upstream .gyp/.gypi files need patching to not force softfp (maybe easiest is removing the explicit -mfloat-abi=softfp' lines and gcc use the appropriate defaults.
These files seem to contain the explicit -mfloat-abi=softfp lines

./build-tree/src/native_client/build/common.gypi
./build-tree/src/third_party/ffmpeg/ffmpeg.gyp
./build-tree/src/build/common.gypi

I am now trying a build with these files changed to see how it goes.

Jani Monoses (jani) on 2012-02-29
tags: added: armhf
tags: added: ftbfs
Jani Monoses (jani) wrote :

It built fine, I'll prepare a patch.

tags: added: arm-porting-queu
tags: added: arm-porting-queue
removed: arm-porting-queu
Changed in chromium-browser (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Jani Monoses (jani)
Jani Monoses (jani) wrote :

Should help with the armhf FTBFS. I am not entirely sure about the V8 part though.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 17.0.963.65~r124586-0ubuntu1

---------------
chromium-browser (17.0.963.65~r124586-0ubuntu1) precise; urgency=low

  * New upstream release from the Stable Channel (LP: #946914)
    - Cursors and backgrounds sometimes do not load [111218]
    - Plugins not loading on some pages [108228]
    - Text paste includes trailing spaces [106551]
    - Websites using touch controls break [110332]
    This release fixes the following security issues:
    - [105867] High CVE-2011-3031: Use-after-free in v8 element wrapper. Credit
      to Chamal de Silva.
    - [108037] High CVE-2011-3032: Use-after-free in SVG value handling. Credit
      to Arthur Gerkis.
    - [108406] [115471] High CVE-2011-3033: Buffer overflow in the Skia drawing
      library. Credit to Aki Helin of OUSPG.
    - [111748] High CVE-2011-3034: Use-after-free in SVG document handling.
      Credit to Arthur Gerkis.
    - [112212] High CVE-2011-3035: Use-after-free in SVG use handling. Credit to
      Arthur Gerkis.
    - [113258] High CVE-2011-3036: Bad cast in line box handling. Credit to
      miaubiz.
    - [113439] [114924] [115028] High CVE-2011-3037: Bad casts in anonymous
      block splitting. Credit to miaubiz.
    - [113497] High CVE-2011-3038: Use-after-free in multi-column handling.
      Credit to miaubiz.
    - [113707] High CVE-2011-3039: Use-after-free in quote handling. Credit to
      miaubiz.
    - [114054] High CVE-2011-3040: Out-of-bounds read in text handling. Credit
      to miaubiz.
    - [114068] High CVE-2011-3041: Use-after-free in class attribute handling.
      Credit to miaubiz.
    - [114219] High CVE-2011-3042: Use-after-free in table section handling.
      Credit to miaubiz.
    - [115681] High CVE-2011-3043: Use-after-free in flexbox with floats. Credit
      to miaubiz.
    - [116093] High CVE-2011-3044: Use-after-free with SVG animation elements.
      Credit to Arthur Gerkis.

  [ Jani Monoses <email address hidden> ]
  * Fix FTBFS on armhf (LP: #943281)
    - add debian/patches/fix-armhf-ftbfs.patch
    - update debian/patches/series
 -- Micah Gersten <email address hidden> Mon, 05 Mar 2012 03:48:05 -0600

Changed in chromium-browser (Ubuntu):
status: In Progress → Fix Released
Jani Monoses (jani) wrote :

If V8 SConscript does not figure out it should use hardfloat and the build fails with USE_EABI_HARDFLOAT=0 passed
then this may be needed to force itin debian/rules

ifneq (,$(findstring armhf,$(DEB_BUILD_ARCH)))
GYP_DEFINES += \
        v8_use_arm_eabi_hardfloat=true \
        $(NULL)
endif

Micah Gersten (micahg) wrote :

Reopening, the build failed, although it got 2 hours further into it

Changed in chromium-browser (Ubuntu Precise):
status: Fix Released → Triaged
tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 17.0.963.66~r124982-0ubuntu1

---------------
chromium-browser (17.0.963.66~r124982-0ubuntu1) precise; urgency=low

  * New upstream release from the Stable Channel (LP: #948749)
    - fixes regression in the DOM [116789]

  [ Micah Gersten <email address hidden> ]
  * Revert manual changes to v8 build system since we're using the gyp flag now
    - update debian/patches/fix-armhf-ftbfs.patch

  [ Jani Monoses <email address hidden> ]
  * Attempt to fix armhf build again (LP: #943281)
    - update debian/rules
 -- Micah Gersten <email address hidden> Wed, 07 Mar 2012 02:00:53 -0600

Changed in chromium-browser (Ubuntu Precise):
status: Triaged → Fix Released
Micah Gersten (micahg) wrote :

Reopening again, this time looks like a missing build dependency.

Changed in chromium-browser (Ubuntu Precise):
assignee: Jani Monoses (jani) → Micah Gersten (micahg)
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 17.0.963.78~r125577-0ubuntu1

---------------
chromium-browser (17.0.963.78~r125577-0ubuntu1) precise; urgency=low

  * New upstream release from the Stable Channel (LP: #950174)
    This release fixes the following security issue:
    - [117226] [117230] Critical CVE-2011-3046: UXSS and bad history navigation.
      Credit to Sergey Glazunov.

  * Add libgles2-mesa-dev build dependency on armhf as well; Hopefully really
    fix LP: #943281; Thanks to Christian Dywan for the tip
    - update debian/control
 -- Micah Gersten <email address hidden> Fri, 09 Mar 2012 00:40:23 -0600

Changed in chromium-browser (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers